An Error has occured

Moderator: SourceGear


Posts: 4
Joined: Thu Jul 05, 2018 2:21 am
PostPosted: Thu Jul 05, 2018 2:30 am
I'm getting an error, which tells me to check the logs (below). Could someone please help me figure out what's going on.

!SESSION 2018-07-05 08:52:19.337 -----------------------------------------------
eclipse.buildId=unknown
java.version=10.0.1
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_GB
Framework arguments: -keyring /Users/rickyadmin/.eclipse_keyring -showlocation
Command-line arguments: -os macosx -ws cocoa -arch x86_64 -data @user.home/Library/SourceGear/Vault_1/com.sourcegear.vault.guiclient/vault-cpc-settings -keyring /Users/rickyadmin/.eclipse_keyring -showlocation

!ENTRY com.cdesg.compare 4 0 2018-07-05 08:52:20.458
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: com.cdesg.compare [1]
Unresolved requirement: Require-Bundle: com.cdesg.util
-> Bundle-SymbolicName: com.cdesg.util; bundle-version="10.0.1.201710111512"
com.cdesg.util [7]
Unresolved requirement: Require-Bundle: com.cdesg.logging
-> Bundle-SymbolicName: com.cdesg.logging; bundle-version="10.0.1.201710111512"
com.cdesg.logging [4]
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

Posts: 379
Joined: Thu Jan 20, 2005 1:47 pm
Location: SourceGear
PostPosted: Thu Jul 05, 2018 8:03 am
Hello,

I believe the issue is related to your Java 10 installation. We are currently working on a 10.0.2 builder for CPC working with Java 10, but it's not quite ready.

Please see the following knowledge base article for additional details:

viewtopic.php?f=51&t=22976

Tonya

Posts: 4
Joined: Thu Jul 05, 2018 2:21 am
PostPosted: Thu Jul 05, 2018 8:04 am
hi,

thank you. I downgraded to 8(something) and it's got me to the login area.

Posts: 379
Joined: Thu Jan 20, 2005 1:47 pm
Location: SourceGear
PostPosted: Thu Jul 05, 2018 9:14 am
Thanks for the update! Let me know if you continue to experience an issue. We will post on the forum when we have the new build available.

Tonya

Return to Vault Standard CPC (Cross Platform Client)

Who is online

Users browsing this forum: No registered users and 5 guests

cron